<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Shared\OLE\ChainedBlockStream</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_stream_close" title="stream_close ::Implements support for fclose().">
            <span class="description">Implements support for fclose().</span><pre>stream_close</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_stream_eof" title="stream_eof ::Implements support for feof().">
            <span class="description">Implements support for feof().</span><pre>stream_eof</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_stream_open" title="stream_open ::Implements support for fopen().">
            <span class="description">Implements support for fopen().</span><pre>stream_open</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_stream_read" title="stream_read ::Implements support for fread(), fgets() etc.">
            <span class="description">Implements support for fread(), fgets() etc.</span><pre>stream_read</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_stream_seek" title="stream_seek ::Implements support for fseek().">
            <span class="description">Implements support for fseek().</span><pre>stream_seek</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_stream_stat" title="stream_stat ::Implements support for fstat(). Currently the only supported field is
&quot;size&quot;.">
            <span class="description">Implements support for fstat(). Currently the only supported field is
&quot;size&quot;.</span><pre>stream_stat</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_stream_tell" title="stream_tell ::Returns the position of the file pointer, i.e. its offset into the file
stream. Implements support for ftell().">
            <span class="description">Returns the position of the file pointer, i.e. its offset into the file
stream. Implements support for ftell().</span><pre>stream_tell</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>ChainedBlockStream</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_stream_close"></a>
                        <div class="element clickable methodpublic method_stream_close" data-toggle="collapse" data-target=".method_stream_close .collapse">
                            <h2>Implements support for fclose().</h2>
                            <pre>stream_close()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_stream_eof"></a>
                        <div class="element clickable methodpublic method_stream_eof" data-toggle="collapse" data-target=".method_stream_eof .collapse">
                            <h2>Implements support for feof().</h2>
                            <pre>stream_eof(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>TRUE if the file pointer is at EOF; otherwise FALSE</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_stream_open"></a>
                        <div class="element clickable methodpublic method_stream_open" data-toggle="collapse" data-target=".method_stream_open .collapse">
                            <h2>Implements support for fopen().</h2>
                            <pre>stream_open(string $path,string $mode,integer $options, &$openedPath): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>For creating streams using this wrapper, use OLE_PPS_File::getStream().</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$path</h4>
                                                <code>string</code><p><p>resource name including scheme, e.g.
ole-chainedblockstream://oleInstanceId=1</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$mode</h4>
                                                <code>string</code><p><p>only &quot;r&quot; is supported</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$options</h4>
                                                <code>integer</code><p><p>mask of STREAM_REPORT_ERRORS and STREAM_USE_PATH</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$openedPath</h4>
                                                <code></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>true on success</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_stream_read"></a>
                        <div class="element clickable methodpublic method_stream_read" data-toggle="collapse" data-target=".method_stream_read .collapse">
                            <h2>Implements support for fread(), fgets() etc.</h2>
                            <pre>stream_read(integer $count): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$count</h4>
                                                <code>integer</code><p><p>maximum number of bytes to read</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_stream_seek"></a>
                        <div class="element clickable methodpublic method_stream_seek" data-toggle="collapse" data-target=".method_stream_seek .collapse">
                            <h2>Implements support for fseek().</h2>
                            <pre>stream_seek(integer $offset,integer $whence): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$offset</h4>
                                                <code>integer</code><p><p>byte offset</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$whence</h4>
                                                <code>integer</code><p><p>SEEK_SET, SEEK_CUR or SEEK_END</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_stream_stat"></a>
                        <div class="element clickable methodpublic method_stream_stat" data-toggle="collapse" data-target=".method_stream_stat .collapse">
                            <h2>Implements support for fstat(). Currently the only supported field is
&quot;size&quot;.</h2>
                            <pre>stream_stat(): array</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_stream_tell"></a>
                        <div class="element clickable methodpublic method_stream_tell" data-toggle="collapse" data-target=".method_stream_tell .collapse">
                            <h2>Returns the position of the file pointer, i.e. its offset into the file
stream. Implements support for ftell().</h2>
                            <pre>stream_tell(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_ole"> </a>
                            <div class="element clickable propertypublic property_ole" data-toggle="collapse" data-target=".property_ole .collapse">
                                <h2>The OLE container of the file that is being read.</h2>
                                <pre>ole :\PhpOffice\PhpSpreadsheet\Shared\OLE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>\PhpOffice\PhpSpreadsheet\Shared\OLE</code>                                    </div>
                                </div>
                            </div>                            <a id="property_params"> </a>
                            <div class="element clickable propertypublic property_params" data-toggle="collapse" data-target=".property_params .collapse">
                                <h2>Parameters specified by fopen().</h2>
                                <pre>params :array</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                            <a id="property_data"> </a>
                            <div class="element clickable propertypublic property_data" data-toggle="collapse" data-target=".property_data .collapse">
                                <h2>The binary data of the file.</h2>
                                <pre>data :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_pos"> </a>
                            <div class="element clickable propertypublic property_pos" data-toggle="collapse" data-target=".property_pos .collapse">
                                <h2>The file pointer.</h2>
                                <pre>pos :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td><p>byte offset</p>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Shared\OLE\ChainedBlockStream"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Shared.OLE.html">OLE</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.OLE.ChainedBlockStream.html">ChainedBlockStream</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:49 +0000.<br/>
    </footer></body>
</html>
